# Uses of Class
org.codehaus.janino.Java.PackageMemberClassDeclaration

Packages that use Java.PackageMemberClassDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.PackageMemberClassDeclaration in org.codehaus.janino

Subclasses of Java.PackageMemberClassDeclaration in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.PackageMemberEnumDeclaration`
Implementation of a "package member enum declaration", a.k.a.
Methods in org.codehaus.janino that return Java.PackageMemberClassDeclaration
Modifier and Type
Method
Description
`protected Java.PackageMemberClassDeclaration`
ClassBodyEvaluator.`addPackageMemberClassDeclaration(Location location, Java.CompilationUnit compilationUnit)`
To the given `Java.CompilationUnit`, add A class declaration with the configured name, superclass and interfaces A method declaration with the given return type, name, parameter names and values and thrown exceptions
Methods in org.codehaus.janino with parameters of type Java.PackageMemberClassDeclaration
Modifier and Type
Method
Description
`R`
Visitor.TypeDeclarationVisitor.`visitPackageMemberClassDeclaration(Java.PackageMemberClassDeclaration pmcd)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`

## Uses of Java.PackageMemberClassDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.PackageMemberClassDeclaration
Modifier and Type
Method
Description
`Java.TypeDeclaration`
DeepCopier.`copyPackageMemberClassDeclaration(Java.PackageMemberClassDeclaration subject)`
`void`
AbstractTraverser.`traversePackageMemberClassDeclaration(Java.PackageMemberClassDeclaration pmcd)`
`void`
Traverser.`traversePackageMemberClassDeclaration(Java.PackageMemberClassDeclaration pmcd)`